{
	"name": "form/nc/erp-sync/finvoice/column/order_row-invoice.json",
	"option": {
		"grid_option": {
			"cell_class_rules": {
				"nc-grid-cell-changed": "data.link_rec && colDef.change_compare !== false && recDataDifferent(data.link_rec, colDef, x)"
			},
			"row_class_rules": {
				"nc-grid-row-changed": "data.change_status == 'changed'",
				"nc-grid-row-deleted": "data.change_status == 'deleted'",
				"nc-grid-row-equal": "data.change_status == 'equal'",
				"nc-grid-row-new": "data.change_status == 'new'"
			}
		}
	},
	"column": [
		{
			"static_export": "",
			"icon": "nc-link-icon",
			"link_field": "ordr.invoice_id",
			"name": "Row",
			"record_type": "",
			"variable": "idx"
		},
		{
			"export": false,
			"name": "Status",
			"variable": "change_status",
			"editable": false,
			"width": 60
		},
		{
			"export": false,
			"name": "Change field",
			"variable": "change_field",
			"editable": false,
			"width": 150
		},
		{
			"field": "ordr.json_data.firm_id",
			"organization_id": { "finvoice": { "load": false } },
			"name": "Firm",
			"width": 50,
			"name_fi": "Firma"
		},
		{
			"field": "ordr.record_id",
			"name": "Record id",
			"width": 140
		},
		{
			"field": "ordr.invoice_id",
			"name": "Invoice id",
			"width": 100
		},
		{
			"field": "ordr.row_number",
			"name": "Rivi",
			"width": 50
		},
		{
			"field": "ordr.order_id",
			"name": "Sales order id",
			"width": 120
		},
		{
			"field": "ordr.json_data.our_reference",
			"organization_id": { "finvoice": { "load": false }, "4d": { "load": false } },
			"name": "Our reference",
			"width": 120
		},
		{
			"field": "ordr.record_type",
			"organization_id": { "finvoice": { "load": false }, "4d": { "load": false } },
			"name": "Type",
			"width": 90
		},
		{
			"field": "ordr.description",
			"name": "Rivikommentit",
			"width": 150
		},
		{
			"field": "ordr.product_id",
			"name": "Tuotteen kuvaus",
			"width": 200
		},
		{
			"export": false,
			"field": "ordr.order_code_id",
			"name": "Tuotteen koodi",
			"width": 120
		},
		{
			"field": "ordr.delivery_amount",
			"name": "Määrä",
			"width": 100
		},
		{
			"field": "ordr.order_amount",
			"organization_id": { "odoo": { "field": "" } },
			"name": "Tilattu määrä",
			"width": 110
		},
		{
			"field": "ordr.unit",
			"name": "Yksikkö",
			"width": 90
		},
		{
			"field": "ordr.unit_price",
			"name": "Yksikköhinta euroissa",
			"width": 160
		},
		{
			"field": "ordr.discount_percent",
			"name": "Rivin alennusprosentti",
			"width": 160
		},
		{
			"field": "ordr.dispatch_note_id",
			"organization_id": { "odoo": { "field": "" } },
			"name": "Lähetyslista id",
			"width": 110
		},
		{
			"field": "ordr.delivery_date",
			"name": "Toimituspäivä",
			"width": 110
		},
		{
			"field": "ordr.vat_percent",
			"organization_id": {},
			"name": "Alv %",
			"width": 90
		},
		{
			"field": "ordr.vat_price",
			"organization_id": { "odoo": { "field": "" } },
			"name": "Alv määrä",
			"width": 90
		},
		{
			"field": "ordr.price_without_vat",
			"name": "Hinta ilman alv",
			"width": 130
		},
		{
			"field": "ordr.price_with_vat",
			"name": "Hinta yhteensä",
			"width": 120
		},
		{
			"field": "ordr.json_data.employee_id",
			"organization_id": { "finvoice": { "load": false }, "odoo": { "field": "" } },
			"name": "Myyjä",
			"width": 90
		},
		{
			"field": "ordc.json_data.vat_code",
			"organization_id": { "finvoice": { "load": false }, "odoo": { "field": "" } },
			"name": "Alv kanta",
			"width": 90
		}
	],
	"columa_not_in_used": [
		{
			"export": false,
			"field": "ordr.invoice_id",
			"name": "Lasku",
			"width": 80
		}
	]
}
